TPMLIB_GetVersion(3)

NAME
TPMLIB_GetVersion - Get the version of the TPM library

LIBRARY
TPM library (libtpms, -ltpms)

SYNOPSIS
#include <libtpms/tpm_library.h>

uint32_t TPMLIB_GetVersion(void);

DESCRIPTION
The TPMLIB_GetVersion() function returns the libtpms library version. The TPM library version is formatted as follows:

        Bits 0 - 7  : revision of the library
        Bits 8 -15  : minor version number of the library
        Bits 16-23  : major version number of the library

V0.5.1 is therefore represented as 0x00000501.

SEE ALSO
TPMLIB_MainInit(3), TPMLIB_Terminate(3)